#
# spec file for package simple-multicast
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           simple-multicast
Version:        0.2.4
Release:        1.14
Summary:        Multicast Server and Client application
License:        GPL-3.0-or-later
Group:          Productivity/Networking/Other
URL:            https://sourceforge.net/projects/simplemulticast/
Source:         http://sourceforge.net/projects/simplemulticast/files/%{version}/multicast-%{version}.zip
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  unzip

%description
Simple multicast Server/Client application.
Supports:

 * IPv4 AND IPv6
 * Multicast Server
 * Multicast client
 * Source Specific Multicast client

%prep
%setup -q -n multicast-%{version}

%build
%configure
%make_build

%install
%make_install
rm -rf %{buildroot}/%{_datadir}/doc/multicast

%files
%license COPYING
%doc README AUTHORS ChangeLog
%{_bindir}/multicast

%changelog
* Tue Jan 28 2014 andrea@opensuse.org
- New upstream version 0.2.4
  * Code clean up following structured programming
  * Enabled not interactive command line arguments. example of usage:
  multicast -v4 -server -group 239.1.2.3 -port 9999 -delay 1
  multicast -v6 -client -group FF05::3232 -port 9999
  multicast -v4 -client-ssm -group 232.1.2.3 -source 10.0.0.1 -port 9999
* Mon Jan 13 2014 andrea@opensuse.org
- New upstream version 0.2.3
  * Code clean up
  * Better menu handling
  * Full IPv6 support, SSM is now working for IPv6 too
* Fri Jan 10 2014 andrea@opensuse.org
- New package
